DARKTABLE(1)

NAME
darktable - ein Programm für den digitalen Fotografie-Workflow

ÜBERSICHT
    darktable [Optionen] [IMG_1234.{RAW,...}|Bildverzeichnis/]

Optionen:

    --cachedir <Cacheverzeichnis>
    --conf <Schlüssel>=<Wert>
    --configdir <Konfigurationsverzeichnis>
    -d {all,cache,camctl,camsupport,control,dev,fswatch, input,lighttable,
        lua,masks,memory,nan,opencl, perf,pwstorage,print,sql}
    --datadir <Datenverzeichnis>
    --disable-opencl
    -h, --help
    --library <Datenbankdatei>
    --localedir <Übersetzungsverzeichnis>
    --luacmd <Lua-Befehl>
    --moduledir <Modulverzeichnis>
    --noiseprofiles <JSON-Datei mit Rauschprofilen>
    -t <Anzahl OpenMP-Threads>
    --tmpdir <tmp-Verzeichnis>
    --version

BESCHREIBUNG
darktable ist ein Programm für den digitalen Fotografie-Workflow unter Linux, Mac OS X und verschiedenen anderen Unices.

Die Anwendung wurde entwickelt um das Verwalten und Bearbeiten großer Fotosammlungen zu erleichtern. Es bietet einen einfach zu benutzenden digitalen Leuchttisch und einen Satz ausgeklügelter Bearbeitungswerkzeuge.

Die meisten Bearbeitungsschritte werden mit 32-Bit-Fließkommagenauigkeit im CIE L*a*b*-Farbraum durchgeführt. Außerdem nutzt darktable durchgehend Farbmanagement und erlaubt so eine vollständige Kontrolle über das Aussehen der Fotos.

Die Anwendung setzt auf eine moderne Plug-In-Architektur, was es externen Entwicklern ermöglicht, die Funktionalität des Programms zu erweitern. Alle Leuchttisch- und Dunkelkammeroperationen sind als Plug-Ins implementiert, so dass zusätzliche Plug-Ins auf existierenden Code zurückgreifen können. Die meisten Workflow-Schritte können auch in Lua gescripted werden.

OPTIONEN

IMG_1234.RAW oder Bildverzeichnis/
    Sie können optional Dateinamen von Bilddateien oder Namen von Ordnern mit Bildern übergeben. Wenn ein einzelner Dateiname angegeben wurde startet darktable im Dunkelkammermodus und öffnet das Bild. Wenn ein Ordner geöffnet wird dann startet darktable im Leuchttischmodus und importiert den Ordner als aktuelle Sammlung. Wenn darktable bereits läuft (und die gleiche Datenbank benutzt) dann werden die Bilder und Ordner in der bestehenden Instanz geöffnet, wobei D-Bus zur Kommunikation zwischen den Prozessen verwandt wird.

--cachedir <Cacheverzeichnis>
    darktable speichert einen Cache der Vorschaubilder für eine schnellere Anzeige sowie vorübersetzte OpenCL-Binärdateien für einen beschleunigten Programmstart. Standardmäßig befindet sich dieser Cache in "$HOME/.cache/darktable/". Dort können wiederum mehrere Vorschaubilder-Caches liegen - einer pro Datenbankdatei.

--conf <Schlüssel>=<Wert>
    darktable kennt eine Vielzahl von Konfigurationseinstellungen, die der Benutzer in "darktablerc" - darktables Konfigurationsdatei im Konfigurationsverzeichnis - festlegen kann. Mit dieser Option können einzelne Einstellung vorrübergehend überschrieben werden - sie werden nicht in "darktablerc" gespeichert.

--configdir <Konfigurationsverzeichnis>
    Diese Option legt fest, wo darktable die Benutzereinstellungen speichert. Die Vorgabe ist "$HOME/.config/darktable/".

-d <Debugoption>
    Diese Option aktiviert Debug-Ausgaben im Terminal. darktable hat mehrere Teilsysteme und Ausgaben jedes einzelnen können individuell aktiviert werden. Diese Option kann mehrfach angegeben werden falls Debug-Ausgaben von mehr als einem Bereich erwünscht sind.

    Einige dieser Debug-Optionen sind:

    control
        Aktiviere Debugging der Job-Warteschlange. Wenn darktables Ausgabe in control.log umgeleitet wird, dann kann mit ./tools/create_control_svg.sh control.log in control.svg eine hübsche Visualisierung der Arbeit der einzelnen Threads erzeugt werden.

    cache
        Dies gibt eine Menge and Debug-Informationen über den Vorschaubild-Cache des Leuchttischs. Wenn darktable im Debug-Modus compiliert wurde, dann zeigt dies auch an, wo im Code ein bestimmter Puffer zum letzten Mal gesperrt wurde.

    perf
        Dies hilft beim Messen der Geschwindigkeit der Dunkelkammer-Module. Es führt eine RDTSC-Messung der Laufzeiten aller Module durch und schreibt sie auf die Standardausgabe.

    all Aktiviere alle Debug-Ausgaben. Dies ist im Allgemeinen nicht sehr nützlich.

--datadir <Datenverzeichnis>
    Diese Option teilt darktable mit, wo es seine Laufzeitdaten findet. Die Vorgabe hängt von Ihrer Installation ab. Typische Orte sind "/opt/darktable/share/darktable/" und "/usr/share/darktable/".

--disable-opencl
    Verhindere, dass darktable sein OpenCL-System initialisiert. Dies ist hilfreich wenn darktable auf Grund eines defekten OpenCL-Treibers beim Start abstürzt.

-h, --help
    Verfügbare Kommandozeilenargumente anzeigen und beenden.

--library <Datenbankdatei>
    darktable hält Bildinformationen für einen schnellen Zugriff in einer sqlite-Datenbank vor. Der Standardspeicherort dieser Datenbank ist "$HOME/.config/darktable/library.db". Sie können eine alternative Datei angeben, zum Beispiel wenn Sie experimentieren wollen ohne ihre originale library.db in Gefahr zu bringen. Wenn die Datenbankdatei nicht existiert wird darktable sie für Sie anlegen. Sie können auch ":memory:" als Datenbankdatei angeben, dann wird die Datenbank komplett im RAM gehalten - alle Änderungen werden verworfen sobald darktable beendet wird.

--localedir <Übersetzungsverzeichnis>
    Der Ort, an dem darktable seine Übersetzungen sucht. Die Vorgabe hängt von Ihrer Installation ab. Typische Orte sind "/opt/darktable/share/locale/" und "/usr/share/locale/".

--luacmd <Lua-Befehl>
    Ein String mit Lua-Befehlen, die ausgeführt werden, sobald Lua initialisiert wurde. Diese Befehle werden nach der "luarc"-Datei abgearbeitet.

    Wenn darktable ohne Lua-Unterstützung übersetzt wurde, dann wird diese Option ignoriert.

--moduledir <Modulverzeichnis>
    darktable hat einen modularen Aufbau und organisiert seine Module als Shared-Libraries, die zur Laufzeit geladen werden. Mit dieser Option können Sie darktable mitteilen, wo es nach diesen Bibliotheken suchen soll. Die Voreinstellung hängt von Ihrer Installation ab; typische Orte sind "/opt/darktable/lib/darktable/" und "/usr/lib/darktable/".

--noiseprofiles <JSON-Datei mit Rauschprofilen>
    darktables profiliertes-Entrauschen-Modul benutzt kameraspezifische Daten die aus einer externen JSON-Datei geladen werden. Mit dieser Option kann darktable angewiesen werden, eine andere Datei zu laden, so dass alternative Profile einfach getestet werden können. Die Standardprofile befinden sich in "noiseprofiles.json" welche typischerweise in "/opt/darktable/share/darktable/" oder "/usr/share/darktable/" liegt.

-t <Anzahl OpenMP-Threads>
    darktable benutzt OpenMP, um die meisten Berechnungen zu parallelisieren und auf die CPU-Kerne zu verteilen. Mit dieser Option kann die Anzahl dieser Threads angegeben werden. Erlaubt sind Werte zwischen 1 und 100.

--tmpdir <tmp-Verzeichnis>
    Der Ort, an dem darktable seine temporären Dateien speichert. Wenn diese Option nicht angegeben wird dann benutzt darktable die Systemvorgabe.

--version
    Die darktable-Version sowie einige wichtige Build-Optionen anzeigen und beenden.

TASTATURBEFEHLE
Alle Ansichten

l   Zur Leuchttisch-Ansicht wechseln

d   Zur Dunkelkammer-Ansicht wechseln

t   Zur Tethering-Ansicht wechseln

m   Zur Karten-Ansicht wechseln

s   Zur Diashow-Ansicht wechseln

p   Zur Drucken-Ansicht wechseln

.   Zwischen Leuchttisch- und Dunkelkammer-Ansicht wechseln

Strg-q
    Beenden

F11 Zwischen Vollbild- und Fensteransicht wechseln

Esc Vollbildansicht verlassen

Strg-h
    Kopfbereich anzeigen/verstecken

Tab Seitenränder anzeigen/verstecken

Leuchttisch-Ansicht

g, Umschalt-g
    Zur ersten, letzten Zeile gehen

Bild Auf, Bild Ab
    Eine Seite hoch, runter gehen

'   Ansicht zentrieren

Runter, Links, Rechts, Hoch
    Runter, links, rechts, hoch scrollen

z   Vorschau

Strg-z
    Vorschau mit Fokuserkennung

F1, F2, F3, F4, F5
    Farbmarkierungen: Rot, Gelb, Grün, Blau und Violett umschalten

1, 2, 3, 4, 5
    Stern-Bewertung

0   Alle Sterne entfernen

r   Als abgelehnt markieren

l   Bilder wieder am Raster ausrichten

Alt-1
    Auf das erste sichtbare Bild zoomen

Alt-2, 3
    Zoom anpassen

Alt-4
    Ganz hinauszoomen

Strg-a
    Alle Bilder auswählen

Strg-Umschalt-a
    Auswahl aufheben

Strg-i
    Auswahl invertieren

Strg-d
    Bild duplizieren

Strg-g, Strg-Umschalt-g
    Ausgewählte Bilder gruppieren/Gruppierung aufheben

Entfernen
    Bild aus der Sammlung entfernen

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

Leertaste
    Auswahl eines Bildes umschalten

Eingabe
    Bild auswählen

Strg-e
    Ausgewählte Bilder exportieren

Strg-k
    Zur vorhergehenden Sammlung zurückspringen

Strg-t
    Öffne ein Popup zum schnellen Taggen eines Bildes

Strg-Umschalt-i
    Ordner importieren

Strg-j
    Springe zur Filmrolle eines Bildes

Dunkelkammer-Ansicht

Alt-1, 2, 3
    Setze die Ansicht entsprechend auf 1:1, bildschirmfüllend und eingepasst

Strg-f
    Filmstreifen anzeigen/verstecken

Leertaste, Rücktaste
    Zu nächstem, vorhergehendem Bild gehen

Strg-e
    Aktuelles Bild exportieren

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

o   Anzeige von über- und unterbelichteten Bereichen umschalten

Strg-g
    Gamutüberprüfung umschalten

Strg-s
    Softproofing umschalten

Eingabe
    Bestätige den Zuschnitt im Zuschneiden und drehen-Modul

[, ]
    Drehe 90 Grad gegen, im Uhrzeigersinn im Drehung-Modul

<, >
    Verringere, erhöhe die Pinseldeckkraft beim Malen von Masken

{, }
    Verringere, erhöhe die Pinselhärte beim Malen von Masken

[, ]
    Verringere, erhöhe die Pinselgröße beim Malen von Masken

Tethering-Ansicht

Strg-f
    Filmstreifen anzeigen/verstecken

v   Live-View umschalten

Karten-Ansicht

Strg-f
    Filmstreifen anzeigen/verstecken

Strg-z
    Rückgängig

Strg-r
    Wiederholen

Filmstreifen (wenn der Cursor über dem Filmstreifen ist)

F1, F2, F3, F4, F5
    Farbmarkierungen: Rot, Gelb, Grün, Blau und Violett umschalten

1, 2, 3, 4, 5
    Stern-Bewertung

0   Alle Sterne entfernen

r   Als abgelehnt markieren

Strg-d
    Bild duplizieren

Strg-a
    Alle Bilder auswählen

Strg-Umschalt-a
    Auswahl aufheben

Strg-i
    Auswahl invertieren

Strg-c, Strg-Umschalt-c
    Verlauf ganz/teilweise kopieren

Strg-v, Strg-Umschalt-v
    Verlauf ganz/teilweise einfügen

Diashow-Ansicht

Leertaste
    Abspielen starten/stoppen

SIEHE AUCH
darktable-cli(1)

WEITERE INFORMATIONEN
Besuchen Sie darktables Website für Neuigkeiten, Blog und Bugtracker: <https://www.darktable.org/>

<https://www.darktable.org/usermanual/> Das komplette darktable-Handbuch (derzeit allerdings nicht auf Deutsch).

darktablerc.html Eine Übersicht über alle Standard-Konfigurationsoptionen. Der Ort der Datei hängt von Ihrer Installation ab. Typische Orte sind "/opt/darktable/share/doc/darktable/" und "/usr/share/doc/darktable/".

FEHLER MELDEN
Bitte nutzen Sie den Bugtracker auf <https://www.darktable.org/redmine/projects/darktable/issues/> um Fehler zu melden, Wünsche zu äußern und ähnliches.

AUTOREN
Der Hauptentwickler von darktable ist Johannes Hanika. Die (hoffentlich) vollständige Liste der Mitwirkenden im Projekt ist:

* developers: Roman Lebedev, Pascal Obry, Tobias Ellinghaus, Stefan Schöfegger, Peter Budai, Ulrich Pegelow, johannes hanika, parafin, Alexandre Prokoudine, Aldric Renaudin, Edouard Gomez. * translators: Pascal Obry, Ger Siemerink, Tobias Ellinghaus, Maurizio Paglia, Timur I. Davletshin, Alexandre Prokoudine, mepi0011, Báthory Péter, Jeronimo Pellegrini, Matjaž Jeran, shlomi braitbart, Aurélien PIERRE, Heiko Bauke, Josep V. Moragues, Marko Vertainen, Michel Leblond, Milan Knížek, Novy Sawai, Ragnar Wisløff, Tomasz Golinski. * contributors (at least 4 commits): Aurélien PIERRE, rawfiner, edgardoh, Dan Torop, Ger Siemerink, Matthieu Moy, Maurizio Paglia, Andreas Schneider, Heiko Bauke, Rikard Öxler, Timur I. Davletshin, Benoit Brummer, Philippe Weyland, grand-piano, luzpaz, Mario Lueder, Robert Bridge, mepi0011. * RawSpeed contributors (at least 1 commit): Stefan Löffler, Stefan Hoffmeister, parafin, Robert Bieber, Tobias Ellinghaus, Matthieu Volat, Shita Yuuma, Stefan Schöfegger, luz.paz. And all those of you that made previous releases possible

Diese Manpage wurde von Alexandre Prokoudine <alexandre.prokoudine@gmail.com> und Richard Levitte <richard@levittr.org> geschrieben. Sie wurde von Tobias Ellinghaus <me@houz.org> erweitert.

Die deutsche Übersetzung wurde von Tobias Ellinghaus <me@houz.org> erstellt.

GESCHICHTE
Das Projekt wurde von Johannes Hanika Anfang 2009 gestartet um die Lücke (oder eher das schwarze Loch) bezüglich eines digitalen Fotografie-Workflow-Programms unter Linux zu füllen.

URHEBERRECHT UND LIZENZ
Copyright (C) 2009-2017 durch die Autoren.

darktable ist freie Software; Sie dürfen es zu den Bedingungen der GPL v3 oder (nach Ihrer Wahl) irgendeiner späteren Version weiterverbreiten und / oder verändern.